{% extends template_base %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/simple-line-icons/css/simple-line-icons.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<!-- begin nav-pills -->
<ul class="nav nav-pills">
  <li class="nav-items">
    <a href="#tab-general" data-toggle="tab" class="nav-link active">
      <span>General</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-galery" data-toggle="tab" class="nav-link">
      <span>Galería</span>
    </a>
  </li>
  <li class="nav-items">
    <a href="#tab-docs" data-toggle="tab" class="nav-link">
      <span>Respaldos</span>
    </a>
  </li>  
</ul>


<!-- end nav-pills -->
<!-- begin tab-content -->
<div class="tab-content">
  <!-- begin tab-pane -->
  <div class="tab-pane fade show active" id="tab-general">
    <div class="row">


      <div class="col-md-6 ui-sortable">
        <div class="panel panel-inverse" data-sortable-id="p1">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Información general</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Editar</a>
          </div>
          <span class="br">MAC: <i id="gear_mac"></i></span>
          <span class="br">Descripción: <i id="gear_description"></i></span>
          <span class="br">Modelo: <i id="gear_model"></i></span>
          <span class="br">IP: <i id="gear_ip"></i></span>
          <span class="br">Management VLAN: <i id="gear_vlan"></i></span>
          <span class="br">Nodo: <i id="gear_node"></i></span>
          <span class="br">Firmware Version: <i id="gear_firmware"></i></span>
          <span class="br">Notas Internas: <i id="gear_notes"></i></span>
          
        </div>
        </div>
      </div>


      <div class="col-md-6 ui-sortable">
        <div class="panel panel-inverse" data-sortable-id="p2">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Fechas</h4>
        </div>
        <div class="panel-body panel-form m-10">
          <div class="note note-primary m-b-15">
            <div class="note-icon"><i class="fa fa-pen"></i></div>
            <div class="note-content">
              <h4><b>Fecha de última modificación</b></h4>
              <p id="gear_modified_at" >
                <!-- {{ object.modified_at }} -->
              </p>
            </div>
          </div>
          <div class="note note-green note-with-right-icon m-b-15">
            <div class="note-content text-right">
              <h4><b>Fecha del último respaldo</b></h4>
              <p id="gear_latest_backup_date">
              </p>
            </div>
            <div class="note-icon"><i class="fa fa-file-alt"></i></div>
          </div>
          <div class="note note-danger m-b-15">
            <div class="note-icon"><i class="fa fa-calendar-alt"></i></div>
            <div class="note-content">
              <h4><b>Días desde el último respaldo</b></h4>
              <p id="gear_days_since_last_backup" >
              </p>
            </div>
          </div>
        </div>
        </div>
      </div>
      <div class="col-md-6 ui-sortable">
        <div class="panel panel-inverse" data-sortable-id="p2">
        <div class="panel-heading">
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          </div>        
          <h4 class="panel-title">Registro de actividad</h4>
        </div>
        <div class="panel-body panel-form m-10">
          
          <table class="table table-striped table-bordered">
            <thead>
              <tr>
                <th>Actividad</th>
                <th>Fecha</th>
              </tr>
            </thead>
            <tbody id="activities" >
            </tbody>
          </table>
        </div>
        </div>
      </div>

    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-galery">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Galería <span class="gear_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

        <div>
          <div class="m-b-10"> <a href="#modal-add-gallery" class="btn btn-sm btn-success" data-toggle="modal">Subir</a></div>
        </div>


          <div class="row" id="pics-content">
          </div>

        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


  <!-- begin tab-pane -->
  <div class="tab-pane fade show" id="tab-docs">
    <div class="panel panel-inverse">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
        </div>
        <h4 class="panel-title">Respaldos del Equipo <span class="olt_name"></span></h4>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">

        <div>
          <div class="m-b-10"> <a href="#modal-add-doc" class="btn btn-sm btn-success" data-toggle="modal">Subir</a></div>
        </div>

        <div class="table-responsive">
          <table class="table" style="width: 100% !important" id="table_docs">
            <thead>   
              <tr>
                <th>Archivo</th>
                <th>Descripción</th>
                <th>Tipo</th>
                <th>Fecha de creación</th>
                <th>Agente</th>
                <th style="min-width: 155px;">Acciones</th>
              </tr>
            </thead>
            <tbody id="docs-content">
            </tbody>
          </table>
        </div>
        <!-- end table-responsive -->
      </div>
      <!-- end panel-body -->
    </div>
  </div>
  <!-- end tab-pane -->


</div>
<!-- end tab-content -->


<!-- #modal-dialog -->



<div class="modal fade" id="modal-add-gallery">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Subir Foto</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pic_file">Foto</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="file" id="pic_file" name="pic_file">
            <div id="error_pic_file"></div>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="pic_foot">Pie de foto</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pic_foot" name="pic_foot">
            <div id="error_pic_foot"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" id="btn-add-gallery" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-edit-gallery">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar Foto</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <input class="form-control" type="hidden" id="pic_edit_id" name="pic_edit_id">
          <label class="col-md-4 col-sm-4 col-form-label" for="pic_edit_foot">Pie de foto</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="pic_edit_foot" name="pic_edit_foot">
            <div id="error_pic_foot"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" id="btn-edit-gallery" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>


<div class="modal fade" id="modal-add-doc">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Subir Documento</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="doc_file">Archivo</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="file" id="doc_file" name="doc_file">
            <div id="error_doc_file"></div>
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="doc_description">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="doc_description" name="doc_description">
            <div id="error_doc_description"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" id="btn-add-doc" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-edit-doc">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true">
      <div class="modal-header">
        <h4 class="modal-title">Editar documento</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_olt"></div>
        <div class="form-group row m-b-15">
          <input class="form-control" type="hidden" id="doc_edit_id" name="doc_edit_id">
          <label class="col-md-4 col-sm-4 col-form-label" for="doc_edit_description">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="doc_edit_description" name="doc_edit_description">
            <div id="error_pic_foot"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" id="btn-edit-doc" >Subir</button>
      </div>
      </form>
    </div>
  </div>
</div>





<div class="modal fade" id="modal-create" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Editar equipo interno</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div class="form-group row m-b-15" id="div_ip">
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="ip">IP</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="ip" placeholder="IP del equipo" data-parsley-required="true"
                    pattern="((^|\.)((25[0-5])|(2[0-4]\d)|(1\d\d)|([1-9]?\d))){4}$"
             />
             <span id="error_ip" class="text-danger" ></span>
          </div>
        </div>        
        <div class="form-group row m-b-15" id="div_mac">
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="mac">MAC</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="mac" placeholder="MAC del equipo" data-parsley-required="true" />
             <span id="error_mac" class="text-danger" ></span>
          </div>
        </div>        
        <div class="form-group row m-b-15" id="div_vlan" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="vlan">Management Vlan</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="vlan" placeholder="Management Vlan del equipo" data-parsley-required="true" />
             <span id="error_vlan" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15" id="div_node" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="node">Nodo</label>
          <div class="col-md-8 col-sm-8">
            <select style="width: 100%" class="form-control" id="node">
            </select>
             <span id="error_node" class="text-danger" ></span>
          </div>
        </div>


        <div class="form-group row m-b-15" id="div_model" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="model">Modelo</label>
          <div class="col-md-8 col-sm-8">
            <select style="width: 100%" class="form-control" id="model">
            </select>
             <span id="error_model" class="text-danger" ></span>
          </div>
        </div>

        <div class="form-group row m-b-15" id="div_firmware" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="firmware">Firmware Version</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" type="text" id="firmware" placeholder="Firmware Version del equipo" data-parsley-required="true" />

             <span id="error_firmware" class="text-danger" ></span>
          </div>
        </div>
        
        <div class="form-group row m-b-15" id="div_description" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="descripcion">Descripción</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="description" rows="4" data-parsley-required="true" placeholder="" required="true"></textarea>

             <span id="error_description" class="text-danger" ></span>
          </div>
        </div>
        <div class="form-group row m-b-15" id="div_notes" >
          <label class="col-md-4 col-sm-4 col-form-label control-label" for="notes">Notas internas</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="notes" rows="4" data-parsley-required="true" placeholder="" required="true"></textarea>

             <span id="error_notes" class="text-danger" ></span>
          </div>
        </div>




      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="editGear()">Actualizar Equipo interno</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>


{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'plugins/select2/dist/js/select2.min.js' %}"></script>
<script src="{% static 'plugins/moment/moment.min.js' %}"></script>
<script src="{% static 'plugins/moment/moment-with-locales.min.js' %}"></script>
<script src="{% static 'scripts/gear_detail.js' %}" type="text/javascript"></script>
<!-- <script type="text/javascript" id="insert_script_here">
// var no_cache_random =  Math.random().toString(36).substr(2, 5);
// appendScript("{% static 'scripts/gear_detail.js' %}?no_cache=" + no_cache_random);
</script> -->
{% endblock extra_js %}